
McScM - Feature # 44: Merge estimates/control into trunk

Status: Closed Priority: Normal

Author: Grégoire Sutre Category:

Created: 04/08/2011 Assignee: Tristan Le Gall

Updated: 08/10/2011 Due date: 05/31/2011

Subject: Merge estimates/control into trunk

Description: Merge the estimates/control implementation with the changes made afterwards for the 1.0 release.

History

04/08/2011 03:39 pm - Grégoire Sutre

- Due date set to 05/31/2011

- Status changed from New to In Progress

- Start date set to 04/08/2011

- % Done changed from 0 to 20

I completed the merge of the 1.0 branch into the trunk.  But some cleanup is in order:



* either use a different binary for control (i.e. a different module in @src/ui@),

* or extend the model-checker interface to account for control functionality.



Right now, we get:

<pre>

./bin/mcscm.native -mc-engine control examples/scm/Forte_running_example.scm -simulation-mode auto

McScM 1.1+dev1 - Model Checker for Systems of Communicating Machines

...

Average size of the estimates 61.1

Result: Aborted: End of Simulation.

Result verification: aborted.

</pre>

which can be confusing for the end-user.

06/23/2011 11:39 am - Tristan Le Gall

- Assignee changed from Grégoire Sutre to Tristan Le Gall

08/10/2011 11:14 am - Grégoire Sutre

- Status changed from In Progress to Closed

- % Done changed from 20 to 100
